Name: fuse-encfs
Summary: Encrypted pass-thru filesystem for Linux
Version: 1.3.1
Release: alt6
License: GPL
Group: System/Kernel and hardware
Source: %name.tar
Url: http://pobox.com/~vgough/encfs

Patch: encfs.fusermount.patch
Patch1: encfs.link.patch

# ??? needed for autoreconf
BuildRequires: cvs

# Automatically added by buildreq on Wed Sep 28 2005
BuildRequires: gcc-c++ libattr-devel libfuse-devel libssl-devel libstdc++-devel pkgconfig rlog

BuildRequires: libfuse-devel >= 2.1
BuildRequires: rlog >= 1.3.6

Requires: fuse
Requires: libssl >= 0.7.9g

Provides: encfs
Obsoletes: encfs

%description
EncFS implements an encrypted filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.  EncFS encrypts all data and filenames in the filesystem and
passes access through to the underlying filesystem.  Similar to CFS except that
it does not use NFS.

%prep
%setup -c %name-%version
#patch -p0
%patch1 -p0

%build
CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
%__autoreconf
%configure --enable-debug=no
%make_build SED=/usr/bin/sed

# Testing for correct build
encfs/test

%install
%make_install DESTDIR=%buildroot install-strip

%files
%_bindir/*
%_man1dir/*
%_libdir/*.so.*
/usr/share/locale/*/*/*.mo

%changelog
* Wed Feb 21 2007 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt6
- rebuild with new fuse 

* Wed Jan 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt5
- don't require fixed version of fuse

* Fri Dec 15 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt4
- rebuild with last fuse

* Thu Oct 19 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt3
- rebuild with last fuse and rlog

* Tue Oct 17 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt2
- rebuild with gcc 4.1 (instead of 3.4)

* Mon Jun 19 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt1
- version update

* Sat Mar 25 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.0-alt1
- version update

* Sun Nov 27 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.4-alt3
- rebuild with new fuse

* Tue Nov 22 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.4-alt2
- rebuild with new fuse

* Wed Sep 28 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.4-alt1
- version update

* Sun Aug 07 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.3-alt1
- version update

* Wed Jun 08 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.2-alt1
- version update

* Sat Apr 23 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.1-alt1
- version update

* Fri Apr 22 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt4
- rebuild with new fuse and renamed

* Wed Apr 20 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt3
- rebuild with new fuse

* Tue Feb 15 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt2
- avfs-fuse renamed to fuse

* Fri Feb 11 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt1
- version update

* Thu Jan 20 2005 Denis Smirnov <mithraen@altlinux.ru> 1.1.11-alt1
- version update

* Mon Jan 03 2005 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt5
- rebuild with new fuse

* Thu Dec 23 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt4
- rebuild with new fuse

* Tue Dec 07 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt3
- rebuild with new fuse

* Tue Nov 02 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt2
- requires fuse version

* Thu Oct 28 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt1
- first sisyphus build

